pydo.monitoring.get_database_mysql_cpu_usage()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.monitoring.get_database_mysql_cpu_usage(
db_id="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
aggregate="avg",
start="1620683817",
end="1620705417",
)Description
Retrieve CPU usage (percent) for a MySQL cluster. Response is a time series of cluster-level CPU usage. Use aggregate to get avg, max, or min over the range.
Parameters
db_idstring requiredThe DBaaS cluster UUID (database ID).
aggregatestring requiredAggregation over the time range (avg, max, or min).
startstring requiredUNIX timestamp to start metric window.
endstring requiredUNIX timestamp to end metric window.
Response Example
More Information
See /v2/monitoring/metrics/database/mysql/cpu_usage in the API reference for additional detail on responses, headers, parameters, and more.